Package org.drinkless.tdlib

# Class TdApi.UpgradedGiftAttributeIdSymbol

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UpgradedGiftAttributeId
org.drinkless.tdlib.TdApi.UpgradedGiftAttributeIdSymbol

Enclosing class:
  `TdApi`

public static class TdApi.UpgradedGiftAttributeIdSymbol extends TdApi.UpgradedGiftAttributeId
Identifier of a gift symbol.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.UpgradedGiftAttributeId

  `TdApi.UpgradedGiftAttributeId.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `stickerId`
  Identifier of the sticker representing the symbol.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpgradedGiftAttributeIdSymbol()`
  Identifier of a gift symbol.
  `UpgradedGiftAttributeIdSymbol(long stickerId)`
  Identifier of a gift symbol.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### stickerId

    public long stickerId
    Identifier of the sticker representing the symbol.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpgradedGiftAttributeIdSymbol

    public UpgradedGiftAttributeIdSymbol()
    Identifier of a gift symbol.

  - ### UpgradedGiftAttributeIdSymbol

    public UpgradedGiftAttributeIdSymbol(long stickerId)
    Identifier of a gift symbol.
    Parameters:
      `stickerId` - Identifier of the sticker representing the symbol.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.UpgradedGiftAttributeId`
    Returns:
      this.CONSTRUCTOR